extern mat4x4 rotationMatrix;

void updateAngles(GLfloat _xAngle, GLfloat _yAngle) {
	mat4x4 newRotationMatrix;
	mat4x4_identity(newRotationMatrix);
	mat4x4_rotate_X(newRotationMatrix, newRotationMatrix, _xAngle);
	mat4x4_rotate_Y(newRotationMatrix, newRotationMatrix, -_yAngle);
	mat4x4_mul(rotationMatrix, newRotationMatrix, rotationMatrix);
}
